LicenseControllerCanCreateAccount Method |
GET /License/CanCreateAccount/{id}
Check against the license to see if an account can be created.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("CanCreateAccount")]
public IActionResult CanCreateAccount(
Guid id,
LicenseSeatKind seatKind,
bool isSeatReserved,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("CanCreateAccount")>
Public Function CanCreateAccount (
id As Guid,
seatKind As LicenseSeatKind,
isSeatReserved As Boolean,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"CanCreateAccount")]
IActionResult^ CanCreateAccount(
Guid id,
LicenseSeatKind seatKind,
bool isSeatReserved,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("CanCreateAccount")>]
member CanCreateAccount :
id : Guid *
seatKind : LicenseSeatKind *
isSeatReserved : bool *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The tenant ID the account will be a part of. If any. - seatKind
- Type: Dundas.BI.LicensingLicenseSeatKind
The LicenseSeatKind that the account will be. - isSeatReserved
- Type: SystemBoolean
A value indicating whether the account will use a reserved seat. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResult
True or False depending on the result, or a status code indicating the problem.
See Also